/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import "ImageDescription.h"


@implementation ImageDescription

- initWithRect:(NSRect) rect
{
   [super init];

   x = [[NSNumber alloc] initWithFloat:rect.origin.x];
   y = [[NSNumber alloc] initWithFloat:rect.origin.y];
   w = [[NSNumber alloc] initWithFloat:rect.size.width];
   h = [[NSNumber alloc] initWithFloat:rect.size.height];

   return( self);
}

- (NSNumber *) x  {  return( x); }
- (NSNumber *) y  {  return( y); }
- (NSNumber *) w  { return( w); }
- (NSNumber *) h  { return( h); }


- (void) setX:(NSNumber *) no
{
   id  old = x;
   
   x = [no copy];
   [old release];
}


- (void) setY:(NSNumber *) no
{
   id  old = y;
   
   y = [no copy];
   [old release];
}


- (void) setW:(NSNumber *) no;
{
   id  old = w;
   
   w = [no copy];
   [old release];
}


- (void) setH:(NSNumber *) no;
{
   id  old = h;
   
   h = [no copy];
   [old release];
}


- (NSRect) rect
{
   return( NSMakeRect( [x floatValue], [y floatValue], [w floatValue], [h floatValue]));
}

@end
