/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import <AppKit/AppKit.h>


@class ImageInfoController;


@interface ImagePrinterDocument : NSDocument
{
    id imageheightCell;
    id imageView;
    id imagewidthCell;
    id imagexCell;
    id imageyCell;
    id pagebottommarginCell;
    id pageBox;
    id pageheightCell;
    id pageleftmarginCell;
    id pagerightmarginCell;
    id pagetopmarginCell;
    id pagewidthCell;
    id stretchPopUp;

    ImageInfoController  *imageInfoController;
    NSPrintInfo          *printInfo;
    NSRect               imageInfo;
    int                  stretch;
    BOOL                 isLoaded;
}


- (void) customRunPageLayout:(id)sender;
- (void) runImagePlacement:(id)sender;
- (void) imageStretchChosen:(id) sender;
- (void) useOriginalSize:(id) sender;
- (void) zeroMargins:(id) sender;
- (void) setImageInfo:(NSRect) rect;

@end
