/* NATPageViewBox.h created by nat on Sun 09-Jan-2000 */

#import <AppKit/AppKit.h>


@interface NATPageViewBox : NSBox  // not really a box, but...
{
   BOOL     drawBorder;

   NSSize   paperSize;

   NSRect   printableArea;
   NSRect   nonMarginatedArea;
   
@private
   NSRect   whiteArea;
   NSRect   marginRect;
   BOOL     haveMargins;
   BOOL     haveUnprintableBorders;
}


- (void) setDrawBorder:(BOOL) flag;

- (void) setPaperSize:(NSSize) area;

- (void) setPrintableArea:(NSRect) area;
- (void) setNonMarginatedArea:(NSRect) area;

- (unsigned int) borderSize;

@end
