/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import "NSPrintInfo+NSNumberAdditions.h"


@implementation NSPrintInfo ( NSNumberAdditions)


- (NSNumber *) width
{
   NSSize   size;

   size = [self paperSize];
   return( [NSNumber numberWithFloat:size.width]);
}


- (NSNumber *) height
{
   NSSize   size;

   size = [self paperSize];
   return( [NSNumber numberWithFloat:size.height]);
}

    
- (NSNumber *) topMarginNumber     {  return( [NSNumber numberWithFloat:[self topMargin]]); }
- (NSNumber *) bottomMarginNumber  {  return( [NSNumber numberWithFloat:[self bottomMargin]]); }
- (NSNumber *) leftMarginNumber    {  return( [NSNumber numberWithFloat:[self leftMargin]]); }
- (NSNumber *) rightMarginNumber   {  return( [NSNumber numberWithFloat:[self rightMargin]]); }

- (void) setTopMarginNumber:(NSNumber *) no     { [self setTopMargin:[no floatValue]]; }
- (void) setBottomMarginNumber:(NSNumber *) no  { [self setBottomMargin:[no floatValue]]; }
- (void) setLeftMarginNumber:(NSNumber *) no    { [self setLeftMargin:[no floatValue]]; }
- (void) setRightMarginNumber:(NSNumber *) no   { [self setRightMargin:[no floatValue]]; }
  

@end
