/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import "PreferencesWindowController.h"
#import "NATUnits.h"


@implementation PreferencesWindowController


- init
{
   return( [super initWithWindowNibName:@"Preferences"]);
}


- (void) unitsSelected:(id)sender
{
   [NATUnits setCurrentUnit:[[unitsPopup selectedItem] tag]];
}


- (void) showWindow:(id)sender
{
   int  tag;

   [self window];  // ensure NIB load
   tag = [NATUnits currentUnit];
   [unitsPopup selectItemAtIndex:[unitsPopup indexOfItemWithTag:tag]];
   [super showWindow:sender];
}


@end
