/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import <AppKit/AppKit.h>


@class NATControlBox;


@protocol NATControlBoxDelegate < NSObject >

- (void) valueHasChanged:(NATControlBox *) box;

@end


@interface NATControlBox : NSBox
{
   id <NATControlBoxDelegate>   delegate;
   
   id   slider;
   id   incrementButton;
   id   decrementButton;
   id   text;
   id   formatter;
}

- (void) sliderChanged:(id) sender;
- (void) increment:(id) sender;
- (void) decrement:(id) sender;
- (void) setFormatter:(NSFormatter *) formatter;
- (float) floatValue;
- (void) setFloatValue:(float) x;
- (id) formatter;
- (NSSlider *) slider;

@end
