/*
 * (C) Copyright 2000 Mulle kybernetiK
 *
 * Check out www.mulle-kybernetik.com for licensing details
 *
 * $Id$
 *
 * $Log$
 *
 */
#import <Foundation/Foundation.h>


typedef enum
{
   UnitPoints = 0,
   UnitCM     = 1,  // 1 cm    -> 28.3465 points
   UnitInch   = 2,  // 1 inch  -> 72 points
   UnitPica   = 3   // 1 pica  -> 12 points
} NATUnitType;


@interface NATUnits : NSObject
{
}

+ (NATUnitType) currentUnit;
+ (void) setCurrentUnit:(NATUnitType) value;
+ (float) currentPointsFactor;
+ (float) pointsFactorForUnitType:(NATUnitType) type;
+ (float) pointsGroup;

extern NSString  *NATNotificationMeasurementUnitChanged;

@end
